---
title: RTCTrackEventInit.receiver
slug: Web/API/RTCTrackEventInit/receiver
tags:
  - API
  - Property
  - RTCTrackEventInit
  - RTP
  - Reference
  - WebRTC
  - WebRTC API
  - events
  - receiver
  - track
---
<div>{{APIRef("WebAPI")}}</div>

<p><span class="seoSummary">The {{domxref("RTCTrackEventInit")}} dictionary's <strong><code>receiver</code></strong> property specifies the {{domxref("RTCRtpReceiver")}} associated with the event.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>trackEventInit</em> = {
  receiver: <em>rtpReceiver</em>,
  track: <em>mediaStreamTrack</em>,
  streams: [<em>videoStream</em>],
  transceiver: <em>rtpTransceiver</em>
};

var <em>rtpReceiver</em> = <em>trackEventInit</em>.receiver;</pre>

<h3 id="Value">Value</h3>

<p>{{page("/en-US/docs/Web/API/RTCTrackEvent/receiver", "Value")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtctrackeventinit-receiver', 'RTCTrackEventInit.receiver')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCTrackEventInit.receiver")}}</p>
